{ lib, config, pkgs, ... }:
let
  cfg = config.myServices.websites.denise.aventuriers;
  varDir = "/var/lib/buildbot/outputs/denise/aventuriers";
in {
  options.myServices.websites.denise.aventuriers.enable = lib.mkEnableOption "enable Denise's Aventuriers website";

  config = lib.mkIf cfg.enable {
    services.websites.env.production.vhostConfs.denise_aventuriers = {
      certName     = "denise";
      addToCerts   = true;
      hosts        = [ "aventuriers.syanni.eu" ];
      root         = varDir;
      extraConfig  = [
        ''
          <Directory ${varDir}>
            DirectoryIndex aventuriers.html
            Options Indexes FollowSymLinks MultiViews Includes
            AllowOverride None
            Require all granted
          </Directory>
          ''
      ];
    };
  };
}
